org.gradle.plugin.repository

## Interface PluginRepositoriesSpec

-     @Incubating
      public interface PluginRepositoriesSpec

  Used to declare `PluginRepository` instances.

  Plugin repositories added via this interface will used to resolve plugins specified in the `plugins {}` block.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradlePluginPortal` | `gradlePluginPortal()` Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.
    `IvyPluginRepository` | `ivy(Action<? super IvyPluginRepository> action)` Adds and configures an `IvyPluginRepository`.
    `MavenPluginRepository` | `maven(Action<? super MavenPluginRepository> action)` Adds and configures a `MavenPluginRepository`.

- - ### Method Detail

    - #### maven

          MavenPluginRepository maven(Action<? super MavenPluginRepository> action)

      Adds and configures a `MavenPluginRepository`.
      Parameters:
        `action` - The action to use to configure the repository.
      Returns:
        The added repository.

    - #### ivy

          IvyPluginRepository ivy(Action<? super IvyPluginRepository> action)

      Adds and configures an `IvyPluginRepository`.
      Parameters:
        `action` - The action to use to configure the repository.
      Returns:
        the added repository.

    - #### gradlePluginPortal

          GradlePluginPortal gradlePluginPortal()

      Adds the Gradle Plugin Portal (plugins.gradle.org) as a plugin repository.
      Returns:
        The added repository.
      Throws:
        `IllegalArgumentException` - if called more than once.